clang 8.0.0

Public Member Functions | List of all members
clang::index::CommentToXMLConverter Class Reference

`#include "clang/Index/CommentToXML.h"`

## Public Member Functions
| CommentToXMLConverter ()
| ~CommentToXMLConverter ()
void | convertCommentToHTML (const comments::FullComment *FC, SmallVectorImpl< char > &HTML, const ASTContext &Context)
void | convertHTMLTagNodeToText (const comments::HTMLTagComment *HTC, SmallVectorImpl< char > &Text, const ASTContext &Context)
void | convertCommentToXML (const comments::FullComment *FC, SmallVectorImpl< char > &XML, const ASTContext &Context)

## Detailed Description

Definition at line 25 of file CommentToXML.h.

## Constructor & Destructor Documentation

## ◆ CommentToXMLConverter()

CommentToXMLConverter::CommentToXMLConverter | ( |  | ) |

Definition at line 1120 of file CommentToXML.cpp.

## ◆ ~CommentToXMLConverter()

CommentToXMLConverter::~CommentToXMLConverter | ( |  | ) |

Definition at line 1121 of file CommentToXML.cpp.

## Member Function Documentation

## ◆ convertCommentToHTML()

void CommentToXMLConverter::convertCommentToHTML | ( | const comments::FullComment * | FC,
|  | SmallVectorImpl< char > & | HTML,
|  | const ASTContext & | Context
| ) |  |

Definition at line 1123 of file CommentToXML.cpp.

References clang::ASTContext::getCommentCommandTraits().

## ◆ convertCommentToXML()

void CommentToXMLConverter::convertCommentToXML | ( | const comments::FullComment * | FC,
|  | SmallVectorImpl< char > & | XML,
|  | const ASTContext & | Context
| ) |  |

Definition at line 1139 of file CommentToXML.cpp.

References clang::ASTContext::getCommentCommandTraits(), and clang::ASTContext::getSourceManager().

## ◆ convertHTMLTagNodeToText()

void CommentToXMLConverter::convertHTMLTagNodeToText | ( | const comments::HTMLTagComment * | HTC,
|  | SmallVectorImpl< char > & | Text,
|  | const ASTContext & | Context
| ) |  |

Definition at line 1131 of file CommentToXML.cpp.

References clang::ASTContext::getCommentCommandTraits().

The documentation for this class was generated from the following files:

- include/clang/Index/CommentToXML.h
- lib/Index/CommentToXML.cpp